Package com.google.debugging.sourcemap.proto

# Class Mapping

java.lang.Object
com.google.debugging.sourcemap.proto.Mapping

public final class Mapping extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Mapping.LineMapping`
Maps a position on a given line to the mapping describing the original code.
`static interface`
`Mapping.LineMappingOrBuilder`
`static final class`
`Mapping.OriginalMapping`
Protobuf type `sourcemap.OriginalMapping`
`static interface`
`Mapping.OriginalMappingOrBuilder`

## Method Summary

Modifier and Type
Method
Description
`static com.google.protobuf.Descriptors.FileDescriptor`
`getDescriptor()`
`static void`
`registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`
`static void`
`registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerAllExtensions

public static void registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

### getDescriptor

public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()